Skip to content
Documentation

Attribute Data (Time-Slotted Values)

Attributes of time-slotted type store values with associated time periods. The following endpoints manage these values.

GET /repositories/{repository}/timeSeries/{timeSeries}/assignments/attributes/{attribute}/data

Required Parameters are from and to, which both take an ISO 8601 date as value.

Returned timestamps are always expressed in the time zone of the time series the attribute is assigned to, regardless of the offsets used in the from and to parameters. For time series without a time zone, the configured default time zone is used.

Request

POST /repositories/{repository}/timeSeries/{timeSeries}/assignments/attributes/{attribute}/data

Request Body

{
"unit": null,
"interval": {
"type": 10,
"multiplier": 1
},
"cyclic": false,
"function": 1,
"timeZone": "W. Europe Standard Time",
"data": [
{
"time": "2026-05-04T22:00:00+00:00",
"value": "b",
"flag": 9
},
{
"time": "2026-05-04T22:00:01+00:00",
"value": "c",
"flag": 9
},
{
"time": "2026-05-04T22:00:02+00:00",
"value": "d",
"flag": 9
},
{
"time": "2026-05-04T22:00:03+00:00",
"value": "e",
"flag": 9
}
]
}

flask Error response for a timestamp outside the valid range

Section titled “ Error response for a timestamp outside the valid range”

Response

{
"title": "HK15190",
"status": 400,
"detail": "Operations with the timestamp 0001-01-01T00:00:00.0000000+00:00 are not possible because it is before the minimum (0001-01-02T00:00:00.0000000+00:00) or after the maximum (9999-12-30T23:59:59.9999999+00:00) of the valid range.",
"traceId": "00-39a886d6d306017425ac3a399eb54488-ae323cc0d588b069-00"
}

The {key} is the ISO 8601 timestamp for which the value should be changed. The body consists of only the new value.

Request

PUT /repositories/{repository}/timeSeries/{timeSeries}/assignments/attributes/{attribute}/data/{key}

Request Body

"My Value!"
DELETE /repositories/{repository}/timeSeries/{timeSeries}/assignments/attributes/{attribute}/data/{key}
© 2026 Volue.Version v0.6.38017 November 2026